Name:           iok
Version:        2.1.3
Release:        %mkrel 1
Summary:        Indic Onscreen Virtual Keyboard
Group:          Accessibility
License:        GPLv2+
URL:            http://pagure.io/iok
Source0:        https://releases.pagure.org/iok/%{name}-%{version}.tar.xz
Source1:        %{name}.appdata.xml
BuildRequires:  desktop-file-utils
BuildRequires:  %{_lib}xtst-devel
BuildRequires:  gtk3-devel
BuildRequires:  gettext
BuildRequires:  libxml2-devel
BuildRequires:  intltool
BuildRequires:  unique-3.0-devel
Requires:       xkeyboard-config 

%description
iok is Indic Onscreen Keyboard. It provides virtual Keyboard functionality. 
It currently works with Inscript and xkb keymaps for Indian languages. iok
can even try to parse non-inscript keymaps and show them in iok.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x
make CFLAGS="%{optflags}" -j2

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

mkdir -p %{buildroot}%{_datadir}/appdata
install -m 0644 -p %{SOURCE1} %{buildroot}%{_datadir}/appdata

%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README.old README
%{_bindir}/iok
%{_datadir}/applications/iok.desktop
%{_datadir}/icons/hicolor/*/apps/iok.*
%{_mandir}/man1/iok.1.*
%{_datadir}/appdata/iok.appdata.xml


%changelog
* Thu Dec 27 2018 adrianomorselli <adrianomorselli> 2.1.3-1uplos2019
- imported for uplos
